import React from "react";
import { List, ListItem, Paper } from "@mui/material";
import { Link } from "react-router-dom";
import { IOCBadge } from "../IOCBadge";

export function IOCListItem({ ioc }) {
  return (
    <Paper>
      <ListItem
        button
        component={Link}
        to={ioc.url}
      >
        <IOCBadge ioc={ioc} />
      </ListItem>
    </Paper>
  );
}

export function IOCList({ iocs }) {
  return (
    <List>
      {iocs &&
        iocs.map((ioc) => {
          ioc.url = `/iocs/${ioc.id}`;
          return (
            <IOCListItem
              key={ioc.id}
              ioc={ioc}
            />
          );
        })}
    </List>
  );
}
