import React from "react";
import { List, ListItem, Paper } from "@mui/material";
import { Link } from "react-router-dom";
import { HostBadge } from "./HostBadge";

export function HostListItem({ host }) {
  return (
    <Paper>
      <ListItem
        button
        component={Link}
        to={host.url}
      >
        <HostBadge host={host} />
      </ListItem>
    </Paper>
  );
}

export function HostList({ hosts }) {
  return (
    <List>
      {hosts &&
        hosts.map((host) => {
          host.url = `/hosts/${host.csEntryHost.id}`;
          return (
            <HostListItem
              key={host.csEntryHost.id}
              host={host}
            />
          );
        })}
    </List>
  );
}
